Bug 1386876 (glib-networking-rebase) - rebase glib-networking to 2.50.x
Summary: rebase glib-networking to 2.50.x
Keywords:
Status: CLOSED ERRATA
Alias: glib-networking-rebase
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glib-networking
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Dan Winship
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: glib2-rebase
Blocks: gnome-rebase
TreeView+ depends on / blocked
 
Reported: 2016-10-19 18:15 UTC by Matthias Clasen
Modified: 2017-08-01 12:28 UTC (History)
3 users (show)

Fixed In Version: glib-networking-2.50.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 12:28:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2100 normal SHIPPED_LIVE GTK+ bug fix update 2017-08-01 16:06:50 UTC

Description Matthias Clasen 2016-10-19 18:15:55 UTC
This is part of rebasing GNOME to 3.22.

The current stable release is 2.50.0

Comment 2 Kalev Lember 2017-01-12 07:49:04 UTC
I've pushed a WIP branch with initial rebase work. Package maintainers, please look over the branch and fix up anything if needed:

http://pkgs.devel.redhat.com/cgit/rpms/glib-networking/log/?h=private-rhel-7.4-rebase

Comment 3 Dan Winship 2017-01-12 13:02:09 UTC
Oh, I had started this yesterday after you did the glib2 branch...

Your .gitignore is wrong-ish. (It drops 2.36.2, which shipped in RHEL 7.0, and adds a bunch of tarballs that never shipped in RHEL.)

Also, please add "Resolves: #1367484" to the changelog/commit too.

Other than that LGTM. Thanks.

Comment 4 Kalev Lember 2017-01-12 15:01:28 UTC
(In reply to Dan Winship from comment #3)
> Oh, I had started this yesterday after you did the glib2 branch...

Ahh, sorry. I'm just going through all the packages in the rebase and pushing private branches that correspond to the copr packages in https://copr.devel.redhat.com/coprs/klember/rhel-7-gnome-3-22/

> Your .gitignore is wrong-ish. (It drops 2.36.2, which shipped in RHEL 7.0,
> and adds a bunch of tarballs that never shipped in RHEL.)

Yeah, that's actually deliberate. I'm trying to get the packaging closer to Fedora so that the diff between RHEL/Fedora gets smaller. I'm happy either way, just push the changes to the branch if you want to keep the RHEL .gitignore.

> Also, please add "Resolves: #1367484" to the changelog/commit too.

Done, thanks.

> Other than that LGTM. Thanks.

Thanks for checking! And feel free to push/push -f to the private branch here and in other packages in the rebase and amend the rebase commit and/or push additional commits if you need to change anything.

Comment 5 Kalev Lember 2017-02-07 10:54:32 UTC
I've now merged the rebase branch and built glib-networking-2.50.0-1.el7 for the rhel-7.4-gnome build target.

Comment 8 errata-xmlrpc 2017-08-01 12:28:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2100


Note You need to log in before you can comment on or make changes to this bug.